<?php // PuckPedia - Settings Callbacks

if(!defined('ABSPATH')) exit;

// validate plugin settings
function myplugin_validate_options($input) {
	return $input;
}

// callback: puckpedia mini settings section
function puckpedia_callback_section_linker() {
	echo '<p>Enhance the content of your hockey website\'s content with inline NHL player and team data supplied by PuckPedia.com. For more information, see <a href="https://puckpedia.com/connector" target="_blank">puckpedia.com/connector</a></p>';
}

// callback: text field
function puckpedia_callback_field_text($args) {
	$options = get_option('puckpedia_options', puckpedia_options_default());
	

	$id    = isset($args['id']) ? $args['id'] : '';
	$label = isset( $args['label'] ) ? $args['label'] : '';

	$value = isset($options[$id]) ? sanitize_text_field($options[$id]) : '';
	echo '<input id="puckpedia_options_'. $id .'" name="puckpedia_options['. $id .']" type="text" size="40" value="'. $value .'"><br />';
	echo '<label for="puckpedia_options_'. $id .'">'. $label .'</label>';
}

// callback: select field
function puckpedia_callback_field_select($args) {
	
	$options = get_option('puckpedia_options', puckpedia_options_default());
	
	$id    = isset($args['id'])    ? $args['id']    : '';
	$label = isset($args['label']) ? $args['label'] : '';
	$select_options = isset($args['options']) ? $args['options'] : [];
	
	$selected_option = isset( $options[$id] ) ? sanitize_text_field( $options[$id] ) : '';
	
	echo '<select id="puckpedia_options_'. $id .'" name="puckpedia_options['. $id .']">';
	
	foreach ($select_options as $value => $option) {
		
		$selected = selected($selected_option === $value, true, false);
		
		echo '<option value="'. $value .'"'. $selected .'>'. $option .'</option>';
		
	}
	
	echo '</select><br /><label for="puckpedia_options_'. $id .'">'. $label .'</label>';
	
}

