<?php // PuckPedia - Register settings

if(!defined('ABSPATH')) exit;

// register plugin settings
function puckpedia_register_settings() {
	register_setting(
		'puckpedia_options',
		'puckpedia_options',
		'puckpedia_callback_validate_options'
	);

	add_settings_section(
		'puckpedia_section_linker',
		'PuckPedia Connector',
		'puckpedia_callback_section_linker',
		'puckpedia'
	);

	add_settings_field(
		'target_selector',
		'Target selector',
		'puckpedia_callback_field_text',
		'puckpedia',
		'puckpedia_section_linker',
		[ 'id' => 'target_selector', 'label' => 'CSS target selector for the HTML element containing the content on which you want to execute the PuckPedia linking. Defaults to <code>.entry-content p</code>.' ]
	);

	add_settings_field(
		'scope',
		'Teams or players?',
		'puckpedia_callback_field_select',
		'puckpedia',
		'puckpedia_section_linker',
		[ 'id' => 'scope',
			'label' => 'Do you want links created for teams, players, or both?',
		  'options' => [
		  	'all' => 'Teams and players',
		  	'teams' => 'Only teams',
		  	'players' => 'Only players',
		  ]
		]
	);

	add_settings_field(
		'link_mode',
		'Link mode',
		'puckpedia_callback_field_select',
		'puckpedia',
		'puckpedia_section_linker',
		[ 'id' => 'link_mode',
			'label' => 'Do you want to provide popups with player details or just link to puckpedia.com?',
		  'options' => [
		  	'popup' => 'Create popups',
		  	'link' => 'Just link',
		  ]
		]
	);

	add_settings_field(
		'link_target',
		'Open links in new tab?',
		'puckpedia_callback_field_select',
		'puckpedia',
		'puckpedia_section_linker',
		[ 'id' => 'link_target',
			'label' => 'Should links to puckpedia.com be opened in a new tab or the same tab?',
		  'options' => [
		  	'_blank' => 'New tab',
		  	'_self' => 'Same tab',
		  ]
		]
	);
	
	add_settings_field(
		'path_pattern',
		'Whitelist page pattern',
		'puckpedia_callback_field_text',
		'puckpedia',
		'puckpedia_section_linker',
		[ 'id' => 'path_pattern', 'label' => 'A regular expression pattern to determine whether to use PuckPedia data on each page. If the path of the page matches this pattern, the PuckPedia script will be executed. Leave blank to enable on all pages. Example: <code>^\/article\/</code> will match any path that starts with <code>/article/</code>' ]
	);

}
add_action('admin_init', 'puckpedia_register_settings');

